<?php
ini_set("memory_limit", "1024M");
ini_set('max_execution_time', '600');
set_time_limit(600);
date_default_timezone_set('America/Sao_Paulo');
require __DIR__ . "/../bootstrap/bootstrap_consumer.php";

/** @var \Doctrine\ORM\EntityManager $entityManger */
$entityManger = $instanceManager->getService('entityManager');
$entityManger->getConfiguration()->addFilter("logicalDelete", "\\Zeedhi\\DevOps\\Util\\LogicalDeleted");
$entityManger->getFilters()->enable("logicalDelete");

/** @var $consumer \Service\Queue\Task\Consumer */
$consumer = $instanceManager->getService('\Service\Queue\Task\Consumer');
$class = $argv[2];
$id = $argv[1];
$consumer->setDates($class, $id);